package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

    beego.GlobalControllerRouter["hello/controllers:AdminController"] = append(beego.GlobalControllerRouter["hello/controllers:AdminController"],
        beego.ControllerComments{
            Method: "GetAdminInfo",
            Router: `/admin/getAdminInfo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hello/controllers:AdminController"] = append(beego.GlobalControllerRouter["hello/controllers:AdminController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/admin/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hello/controllers:SinopharmController"] = append(beego.GlobalControllerRouter["hello/controllers:SinopharmController"],
        beego.ControllerComments{
            Method: "GetSinopharmInfo",
            Router: `/sinopharm/getSinopharmInfo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
